// Copyright (C) 1991-2008 Altera Corporation
// Your use of Altera Corporation's design tools, logic functions 
// and other software and tools, and its AMPP partner logic 
// functions, and any output files from any of the foregoing 
// (including device programming or simulation files), and any 
// associated documentation or information are expressly subject 
// to the terms and conditions of the Altera Program License 
// Subscription Agreement, Altera MegaCore Function License 
// Agreement, or other applicable license agreement, including, 
// without limitation, that your use is for the sole purpose of 
// programming logic devices manufactured by Altera and sold by 
// Altera or its authorized distributors.  Please refer to the 
// applicable agreement for further details.

// PROGRAM		"Quartus II"
// VERSION		"Version 8.1 Build 163 10/28/2008 SJ Web Edition"
// CREATED ON	"Fri Apr 06 21:50:40 2012"

module Testverilog(
	Ain,
	Bin,
	ClrCnt,
	Clk,
	Xout,
	SumOut
);


input	Ain;
input	Bin;
input	ClrCnt;
input	Clk;
output	Xout;
output	[7:0] SumOut;

wire	SYNTHESIZED_WIRE_0;
wire	[7:0] SYNTHESIZED_WIRE_1;

assign	Xout = SYNTHESIZED_WIRE_0;

assign	SYNTHESIZED_WIRE_0 = Ain & Bin;

altaccumulate0	b2v_inst3(
	.clock(Clk),
	.data(SYNTHESIZED_WIRE_1),
	.result(SumOut));


lpm_counter0	b2v_inst5(
	.sclr(ClrCnt),
	.clock(Clk),
	.q(SYNTHESIZED_WIRE_1));


endmodule
